{
    "name": "iqball_web",
    "version": "0.1.0",
    "private": true,
    "type": "module",
    "dependencies": {
        "@testing-library/jest-dom": "^5.17.0",
        "@testing-library/react": "^13.4.0",
        "@testing-library/user-event": "^13.5.0",
        "@types/react": "^18.2.31",
        "@types/react-dom": "^18.2.14",
        "eslint-plugin-react-refresh": "^0.4.5",
        "react": "^18.2.0",
        "react-dom": "^18.2.0",
        "react-drag-drop-files": "^2.3.10",
        "react-draggable": "^4.4.6",
        "react-router-dom": "^6.22.0",
        "typescript": "^5.2.2",
        "vite": "^4.5.0",
        "vite-plugin-css-injected-by-js": "^3.3.0"
    },
    "scripts": {
        "start": "vite --host",
        "build": "vite build",
        "test": "vitest",
        "format": "prettier --config .prettierrc '.' --write",
        "tsc": "tsc"
    },
    "devDependencies": {
        "@typescript-eslint/eslint-plugin": "^6.11.0",
        "@typescript-eslint/parser": "^6.11.0",
        "@vitejs/plugin-react": "^4.1.0",
        "eslint": "^8.53.0",
        "eslint-plugin-react": "^7.33.2",
        "eslint-plugin-react-hooks": "^4.6.0",
        "jsdom": "^24.0.0",
        "prettier": "^3.1.0",
        "rollup-plugin-visualizer": "^5.12.0",
        "typescript": "^5.2.2",
        "vite-plugin-svgr": "^4.1.0",
        "vitest": "^1.3.1"
    }
}
